# pyFTS.distributed package — pyFTS 1.6 documentation

# pyFTS.distributed package

## Module contents

## Submodules

## pyFTS.distributed.dispy module

`pyFTS.distributed.dispy.``distributed_predict`(model, parameters, nodes, data, num_batches, **kwargs)

`pyFTS.distributed.dispy.``distributed_train`(model, train_method, nodes, fts_method, data, num_batches=10, train_parameters={}, **kwargs)

`pyFTS.distributed.dispy.``get_number_of_cpus`(cluster)

`pyFTS.distributed.dispy.``simple_model_predict`(model, data, parameters)

`pyFTS.distributed.dispy.``simple_model_train`(model, data, parameters)

`pyFTS.distributed.dispy.``start_dispy_cluster`(method, nodes)

  Start a new Dispy cluster on ‘nodes’ to execute the method ‘method’

  Parameters

    - method – function to be executed on each cluster node

    - nodes – list of node names or IP’s.

  Returns

    the dispy cluster instance and the http_server for monitoring

`pyFTS.distributed.dispy.``stop_dispy_cluster`(cluster, http_server)

  Stop a dispy cluster and http_server

  Parameters

    - cluster –

    - http_server –

  Returns

## pyFTS.distributed.spark module